Bug 667155 - Review Request: python26-httplib2 - A comprehensive HTTP client library
Summary: Review Request: python26-httplib2 - A comprehensive HTTP client library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 16:50 UTC by Jeffrey Ness
Modified: 2011-02-13 00:21 UTC (History)
4 users (show)

Fixed In Version: python26-httplib2-0.6.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-13 00:21:28 UTC
a.badger: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey Ness 2011-01-04 16:50:09 UTC
This package is created for EPEL 5 against Python26.

== Download Links ==
Spec URL: http://flip-edesign.com/source/python26-httplib2/python26-httplib2.spec
SRPM URL: http://flip-edesign.com/source/python26-httplib2/python26-httplib2-0.6.0-1.el5.src.rpm

Description: A comprehensive HTTP client library that supports many features left out of other HTTP libraries.

== rpmlint for SPEC ==
$ rpmlint python26-httplib2.spec 
sh: /usr/bin/python2.6: No such file or directory
python26-httplib2.spec: W: invalid-url Source0: http://httplib2.googlecode.com/files/httplib2-0.6.0.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

This appears to be an issue with googlecode.com returning a 404 status, however the package does download if tried.

== rpmlint for built package ==
$ rpmlint python26-httplib2-0.6.0-1.el5.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jochen Schmitt 2011-01-18 20:13:20 UTC
Simple question:

Can we get this package for python-2.7 or python-3?

Comment 2 Jeffrey Ness 2011-01-20 14:27:47 UTC
Jochen,

This package is geared toward EPEL and currently the only version of Python maintained in EPEL is Python26, in the future if additional versions are added it shouldn't be to hard to port this package over (This however relies on my getting sponsored):

http://download.fedora.redhat.com/pub/epel/5/x86_64/repoview/letter_p.group.html

Comment 3 Toshio Ernie Kuratomi 2011-01-22 01:56:19 UTC
NEEDSWORK

Good:
* rpmlint clean
* Package follows naming guidelines
* Spec file name matches package name
* License is MIT in source and spec file
* MIT is an open source license
* Spec file is legible American English
* License is included in the README which is included in the package
* Source matches upstream: sha256sum httplib2-0.6.0.tar.gz
  58de068e5af5661c566abb871a75133cc8297e6473ff3f15e98079d57da3978c  httplib2-0.6.0.tar.gz
* Builds in koji
* All build deps satisfied but see below; there's some extra ones.
* No locale files that need to be marked with %find_lang
* No shared libraries
* No bundled libraries
* Package is not relocatable
* No files listed more than once
* All files and directories created by the package owned by the package and no others.
* Package contains code, not content.
* No large documentation that needs to be in a separate subpackage
* Nothing in %doc used at runtime
* No GUI application included so no .desktop requirement
* All filenames are valid utf-8
* No scriptlets
* No file dependencies
* No programs so no need for man pages

Needswork:
* Don't need python26-setuptools that I can see
* In the %build section, need to either use %{__python} or python2.6 rather
  than "python"
* The library comes with a test suite.  You should run it in a %check section.
  If it needs to be able to contact the public internet you may need to disable
  those particular tests.  If the test suite is just worthless without access
  to the public internet, please add a comment to the spec file in the
  %check section that says why the testsuite isn't being run.

Cosmetic:
* Would be better to name python_sitelib python26_sitelib to avoid ambiguity.
* We normaly don't have A, The, or other articles in the summary:
  Summary: Comprehensive HTTP client library


Fix at least the Needswork entries and I can approve the package.

You also need to be sponsored it looks like and I am a sponsor.  I see that you have some reviews in progress::
  https://bugzilla.redhat.com/show_bug.cgi?id=639874
  https://bugzilla.redhat.com/show_bug.cgi?id=668591
  https://bugzilla.redhat.com/show_bug.cgi?id=670457

Especially since you are seeking sponsorship, your reviews should look more like mine - with a list of all the things you checked and found were good as well as the things that were in need of changing.  This helps to show that you've read the packaging guidelines and remember at least the Review Guidelines:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

I'll go ahead and CC myself on those package reviews and when you complete them, I'll sponsor you and you can finish approving them.  If you have questions you can reach me via email or (better) on irc.freenode.net -- I'm abadger1999.

Comment 4 Jeffrey Ness 2011-01-22 17:55:34 UTC
Hello Toshio,

Thank you very much for your time.

I have looked over your review and corrected the 'Needswork' as well as the 'Cosmetic' issues you listed above, the new SPEC and SRPM can be found here:

SPEC: http://flip-edesign.com/source/python26-httplib2/python26-httplib2.spec
SRPM: http://flip-edesign.com/source/python26-httplib2/python26-httplib2-0.6.0-2.el5.src.rpm

This package has successfully built on mock using configuration 'epel-5-i386', and checks with rpmlint without errors.

I also wanted to thank you for the great pointers you gave on package reviews, I will be sure to use this approach in my future reviews as well as the 3 review you mentioned above.

If I have any troubles I will hit you up on IRC, my handle will be "jness"

Thanks
Jeffrey-

Comment 5 Toshio Ernie Kuratomi 2011-01-25 18:35:35 UTC
All mentioned problems taken care of.  This package is APPROVED.  Reading through the reviews you're doing in order to sponsor you now.

Comment 6 Toshio Ernie Kuratomi 2011-01-25 21:20:49 UTC
And sponsored.  Welcome aboard!  You can now officially approve the packages you've been reviewing if the packager doesn't need a sponsor.  (So it looks like you can do that for python-rocket and python26-markupsafe -- I'm querying the toilet packager to see if I can sponsor him.)

The next steps for this package are on:
https://fedoraproject.org/wiki/Package_Review_Process#Contributor

You're on step 4, requesting that the package be added to the git repo via an  SCM admin request.

Since I sponsored you, feel free to ask me any questions you may have.

Comment 7 Jeffrey Ness 2011-01-26 17:03:14 UTC
New Package SCM Request
=======================
Package Name: python26-httplib2
Short Description: A comprehensive HTTP client library that supports many features
left out of other HTTP libraries.
Owners: jeffreyness derks
Branches: el5

Comment 8 Jason Tibbitts 2011-01-26 17:56:44 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-01-26 18:38:41 UTC
python26-httplib2-0.6.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-httplib2-0.6.0-2.el5

Comment 10 Fedora Update System 2011-01-27 18:22:41 UTC
python26-httplib2-0.6.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-httplib2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-httplib2-0.6.0-2.el5

Comment 11 Fedora Update System 2011-02-13 00:21:23 UTC
python26-httplib2-0.6.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.